Class | Fog::Compute::AWS::Servers
In: | lib/fog/aws/models/compute/servers.rb
Parent: | Fog::Collection

### Methods

all bootstrap get new

### Public Class methods

new(attributes)

     Creates a new server

     AWS.servers.new

     ==== Returns

     Returns the details of the new server

>> AWS.servers.new

      <Fog::AWS::Compute::Server
        id=nil,
        ami_launch_index=nil,
        availability_zone=nil,
        block_device_mapping=nil,
        client_token=nil,
        dns_name=nil,
        groups=["default"],
        flavor_id="m1.small",
        image_id=nil,
        ip_address=nil,
        kernel_id=nil,
        key_name=nil,
        created_at=nil,
        monitoring=nil,
        product_codes=nil,
        private_dns_name=nil,
        private_ip_address=nil,
        ramdisk_id=nil,
        reason=nil,
        root_device_name=nil,
        root_device_type=nil,
        state=nil,
        state_reason=nil,
        subnet_id=nil,
        tags=nil,
        user_data=nil
      >

### Public Instance methods

all(filters = self.filters)
bootstrap(new_attributes = {})
get(server_id)

     Used to retrieve a server

     server_id is required to get the associated server information.

     You can run the following command to get the details:
     AWS.servers.get("i-5c973972")

     ==== Returns

>> AWS.servers.get("i-5c973972")

      <Fog::AWS::Compute::Server
        id="i-5c973972",
        ami_launch_index=0,
        availability_zone="us-east-1b",
        block_device_mapping=[],
        client_token=nil,
        dns_name="ec2-25-2-474-44.compute-1.amazonaws.com",
        groups=["default"],
        flavor_id="m1.small",
        image_id="test",
        ip_address="25.2.474.44",
        kernel_id="aki-4e1e1da7",
        key_name=nil,
        created_at=Mon Nov 29 18:09:34 -0500 2010,
        monitoring=false,
        product_codes=[],
        private_dns_name="ip-19-76-384-60.ec2.internal",
        private_ip_address="19.76.384.60",
        ramdisk_id="ari-0b3fff5c",
        reason=nil,
        root_device_name=nil,
        root_device_type="instance-store",
        state="running",
        state_reason={},
        subnet_id=nil,
        tags={},
        user_data=nil
      >

[Validate]